import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/*
	Smee.java
  	(c)1999-2003 SSC Development Team
	Functions: 
	-Initializing the Map Editing Environment.
	Allowed Dependencies: Any
*/

class Smee {
	
	public static void main(String args[]) {
		WalkMap cur_map;
		Tileset cur_tileset;
		
		System.out.println("Starting Smee..");
		
		System.out.println("Initializing tiles.");
		cur_tileset = new Tileset("tiles.gif");

		//Setting a test tile animation
		cur_tileset.getTile(4).setNextTile(5);
		cur_tileset.getTile(5).setNextTile(4);
		
		System.out.println("Initializing map array.");
		cur_map = new WalkMap(cur_tileset,25,25);
		Buffer.initializeTiles(cur_map);
		
		System.out.println("Launching interface. Happy playing!");
		SmeeFrame main = new SmeeFrame(cur_map); 
		main.setTitle("Shining Map Editing Environment v1.0");
		main.setSize(518, 409);
		main.setResizable(false);
		main.setVisible(true);
		
	}
}
